LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Variables
com::sun::star::view::DocumentZoomType Constant Group Referencepublished

These constants specify how the document content is zoomed into the document view. More...

## Variables
const short | OPTIMAL = 0
| The page content width (excluding margins) at the current selection is fit into the view. More...
const short | PAGE_WIDTH = 1
| The page width at the current selection is fit into the view. More...
const short | ENTIRE_PAGE = 2
| A complete page of the document is fit into the view. More...
const short | BY_VALUE = 3
| The zoom is relative and is to be set via the property ViewSettings::ZoomValue. More...
const short | PAGE_WIDTH_EXACT = 4
| The page width at the current selection is fit into the view, with the view ends exactly at the end of the page. More...

## Detailed Description

These constants specify how the document content is zoomed into the document view.

## Variable Documentation

const short BY_VALUE = 3

The zoom is relative and is to be set via the property ViewSettings::ZoomValue.

const short ENTIRE_PAGE = 2

A complete page of the document is fit into the view.

const short OPTIMAL = 0

The page content width (excluding margins) at the current selection is fit into the view.

const short PAGE_WIDTH = 1

The page width at the current selection is fit into the view.

const short PAGE_WIDTH_EXACT = 4

The page width at the current selection is fit into the view, with the view ends exactly at the end of the page.